
//  PoikkeuksellisiaLukuja.java  Copyright (c) 2006 Kari Laitinen

//  http://www.naturalprogramming.com

//  2006-04-10   Tiedosto luotu.
//  2006-04-10   Viimeisin muutos.


import java.util.* ;

class  LukuLiianPieniPoikkeus  extends  Exception
{
}

class  LukuLiianSuuriPoikkeus  extends  Exception
{
}

class PoikkeuksellisiaLukuja
{
   static int lue_luku_nappaimistolta()  throws  LukuLiianPieniPoikkeus,
                                                 LukuLiianSuuriPoikkeus
   {
      Scanner nappaimisto = new Scanner( System.in ) ;

      int luku_nappaimistolta  =  nappaimisto.nextInt() ;

      if ( luku_nappaimistolta  <=  99 )
      {
         throw new LukuLiianPieniPoikkeus() ;
      }
      else if ( luku_nappaimistolta  >=  999 )
      {
         throw new LukuLiianSuuriPoikkeus() ;
      }

      return luku_nappaimistolta ;
   }

   static int hommaa_luku()  throws  LukuLiianSuuriPoikkeus
   {
      int luku_ylla_olevalta_metodilta  =  1234 ;

      try
      {
         luku_ylla_olevalta_metodilta  =  lue_luku_nappaimistolta() ;
      }
      catch ( LukuLiianPieniPoikkeus  luku_liian_pieni_poikkeus )
      {
         System.out.print( " LukuLiianPieniPoikkeus napattiin kiinni.\n" ) ;
      }

      return  luku_ylla_olevalta_metodilta ;
   }

   public static void main( String[] ei_kaytossa )
   {
      System.out.print( " Anna luku: " ) ;

      try
      {
         int  monen_metodin_kautta_saatu_luku  =  hommaa_luku() ;

         System.out.print( " Nappaimistolta saatu luku on : "
                        +  monen_metodin_kautta_saatu_luku  ) ;
      }
      catch ( LukuLiianSuuriPoikkeus luku_liian_suuri_poikkeus )
      {
         System.out.print( " LukuLiianSuuriPoikkeus napattiin kiinni. " ) ;
      }
      catch ( Exception vangittu_poikkeus )
      {
         System.out.print( " Jokin poikkeus vangittiin. Tassa infoa:  " ) ;
         vangittu_poikkeus.printStackTrace() ;
      }
   }
}



